> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.dintero.com/feedback

```json
{
  "path": "/docs/checkout/show-payment-type",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Limit checkout to a single payment type

> Use the show_payment_type query parameter to display only specific Dintero Checkout payment methods, ideal for native wallets like Apple Pay or Google Pay.

Sometimes, you may want to create a session with multiple payment methods, but only display one specific payment type to the end user during checkout.

**Typical use cases:**

* Sessions containing both platform-native payment options (e.g., Apple Pay, Google Pay) and payment types requiring an embedded web UI (e.g., credit card payments).

## How to Limit Payment Types in Checkout

To restrict the checkout to specific payment types, append the `show_payment_type` query parameter when embedding or redirecting to the checkout page.
You can specify one or more payment types.

**Example:**
To show only credit card payments:

```
https://checkout.api.dintero.com/v1/view/{session_ids}/?show_payment_type=dintero_psp.creditcard
```

## Minimal UI Mode

To embed a minimal version of Dintero Checkout, ideal for showing a single payment option in web UI (like a card payment form), append a `ui` query parameter set to `inline` to the payment session link.

**Example:**

```
https://checkout.api.dintero.com/v1/view/{session_id}/?show_payment_type=dintero_psp.creditcard&ui=inline
```
